cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor > Struct Template Reference

Partial specialization for row-major.

`#include <tensor_op_policy.h>`

## Public Types

using | OperatorCount = MatrixShape< WarpShape::kM/OperatorShape::kM, WarpShape::kN/OperatorShape::kN >
| Number of operations. More...

## Static Public Attributes

static int const | kElementsPerAccess = 2
static int const | kRowsPerIteration = 8
static int const | kIterationsPerInstruction = OperatorShape::kM / kRowsPerIteration
static int const | kIterations = OperatorCount::kRow * kIterationsPerInstruction
static int const | kAccumulatorRowStride = kElementsPerAccess
static int const | kAccumulatorColumnStride = kElementsPerAccess * OperatorCount::kRow * kIterationsPerInstruction

## Member Typedef Documentation

template<typename WarpShape , typename OperatorShape >

using cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor >::OperatorCount = MatrixShape< WarpShape::kM / OperatorShape::kM, WarpShape::kN / OperatorShape::kN >

## Member Data Documentation

template<typename WarpShape , typename OperatorShape >

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor >::kAccumulatorColumnStride = kElementsPerAccess * OperatorCount::kRow * kIterationsPerInstruction

static

template<typename WarpShape , typename OperatorShape >

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor >::kAccumulatorRowStride = kElementsPerAccess

static

template<typename WarpShape , typename OperatorShape >

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor >::kElementsPerAccess = 2

static

template<typename WarpShape , typename OperatorShape >

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor >::kIterations = OperatorCount::kRow * kIterationsPerInstruction

static

template<typename WarpShape , typename OperatorShape >

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor >::kIterationsPerInstruction = OperatorShape::kM / kRowsPerIteration

static

template<typename WarpShape , typename OperatorShape >

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::RowMajor >::kRowsPerIteration = 8

static

The documentation for this struct was generated from the following file:

- tensor_op_policy.h